Subject: Billing Update, Charges for Account # letter14092.doc

From: "Elvera Zimmermann" <[email-masked]>
Date: Sun, 20 Aug 2006 15:14:39 +0900

Refers to any fields that may be on an attached commercial invoice.